Bulk delete pipeline fields
Soft-deletes opportunity custom fields for one pipeline in bulk. Each item identifies one field by id, attribute_id, or property_name. System fields cannot be deleted. Filters, sortings, and display settings referencing deleted fields are removed.
DELETE
/
v1
/
pipelines
/
{pipeline_id}
/
fields
/
bulk
Bulk delete pipeline fields
curl --request DELETE \
--url https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_name": "customer_tier_123"
}
]
'import requests
url = "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk"
payload = [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_name": "customer_tier_123"
}
]
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attribute_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
property_name: 'customer_tier_123'
}
])
};
fetch('https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'attribute_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'property_name' => 'customer_tier_123'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk"
payload := strings.NewReader("[\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"attribute_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"property_name\": \"customer_tier_123\"\n }\n]")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"attribute_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"property_name\": \"customer_tier_123\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"attribute_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"property_name\": \"customer_tier_123\"\n }\n]"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": "<unknown>"
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}Authorizations
Personal API key. Requests act as the workspace member who created the key, with that member's current access, and stop working when the key is disabled or its creator leaves the workspace.
Path Parameters
Pipeline ID.
Body
application/json
Array of field delete selectors. Maximum 100 items.
Was this page helpful?
⌘I
Bulk delete pipeline fields
curl --request DELETE \
--url https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_name": "customer_tier_123"
}
]
'import requests
url = "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk"
payload = [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_name": "customer_tier_123"
}
]
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attribute_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
property_name: 'customer_tier_123'
}
])
};
fetch('https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'attribute_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'property_name' => 'customer_tier_123'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk"
payload := strings.NewReader("[\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"attribute_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"property_name\": \"customer_tier_123\"\n }\n]")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"attribute_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"property_name\": \"customer_tier_123\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octolane.com/v1/pipelines/{pipeline_id}/fields/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"attribute_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"property_name\": \"customer_tier_123\"\n }\n]"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": "<unknown>"
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}